REM https://dev.mysql.com/get/Downloads/Connector-C/mysql-connector-c-6.1.9-src.tar.gz

set ARCH=%1

set P=libmysql
set V=6.1.9
set B=1

if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set VCARCH=x86
	set CMAKEGEN=Visual Studio 14 2015
) else if "%ARCH%"=="x86_64" (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set VCARCH=x64
	set CMAKEGEN=Visual Studio 14 2015 Win64
) else (
	echo unexpected arch & goto error
)

set R=..\..\..\%ARCH%\release\%P%
if not exist %R%\%P%-devel mkdir %R%\%P%-devel

call "C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
echo on
path C:\Program Files\CMake\bin;%pf%\Microsoft Visual Studio 14.0\Common7\IDE;c:\cygwin\bin;%PATH%

mkdir build-%ARCH%
mkdir install-%ARCH%
cd build-%ARCH%

cmake -G "%CMAKEGEN%" ^
	-DCMAKE_INSTALL_PREFIX=..\install-%ARCH% ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

cd ..

cmake --build build-%ARCH% --target clean --config Release
if errorlevel 1 (echo build error & goto error)

cmake --build build-%ARCH% --config Release
if errorlevel 1 (echo build error & goto error)

cmake --build build-%ARCH% --target INSTALL --config Release
if errorlevel 1 (echo install error & goto error)

copy setup.hint %R%\setup.hint
copy ..\COPYING %R%\%P%-%V%-%B%.txt
copy devel.hint %R%\%P%-devel\setup.hint
copy ..\COPYING %R%\%P%-devel\%P%-devel-%V%-%B%.txt

move install-%ARCH%\lib\libmysql.dll install-%ARCH%\bin

copy ..\COPYING %R%\%P%-%V%-%B%.txt
tar -C install-%ARCH% -cjf %R%\%P%-%V%-%B%.tar.bz2 bin/libmysql.dll
tar -C install-%ARCH% -cjf %R%\%P%-devel\%P%-devel-%V%-%B%.tar.bz2 include lib&libmysql.lib lib/mysqlclient.lib
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/devel.hint osgeo4w/package.cmd osgeo4w/setup.hint

exit

:error
exit 1
